/*
 * This software is the confidential and proprietary information of
 * Smardec. You shall not disclose or distribute such Confidential Information.
 * This software shall not be integrated, copied (partially or fully),
 * or reverse engineered into any other software, program, or code that is
 * not intended for Smardec. You shall use it only in accordance with the terms
 * of the license agreement you entered into with Smardec.
 *
 * Copyright (C) 2004-2006 Smardec. All rights reserved.
 *
 * http://www.smardec.com
 *
 */

package com.smardec.demo.j2native.win32.cdplayer;

public class CDPConstants {
    public static final int MCI_DEVTYPE_CD_AUDIO = 516;
    public static final int MCI_OPEN = 0x803;
    public static final int MCI_CLOSE = 0x804;
    public static final int MCI_OPEN_TYPE_ID = 0x00001000;
    public static final int MCI_OPEN_TYPE = 0x00002000;
    public static final int MCI_FORMAT_MILLISECONDS = 0;
    public static final int MCI_FORMAT_TMSF = 10;
    public static final int MCI_SET = 0x080D;
    public static final int MCI_SET_TIME_FORMAT = 0x0400;
    public static final int MCI_SET_DOOR_CLOSED = 0x0200;
    public static final int MCI_SET_DOOR_OPEN = 0x0100;
    public static final int MCI_PAUSE = 0x0809;
    public static final int MCI_PLAY = 0x0806;
    public static final int MCI_STOP = 0x0808;
    public static final int MCI_SEEK = 0x0807;
    public static final int MCI_SEEK_TO_START = 0x0100;
    public static final int MCI_TO = 0x08;
    public static final int MCI_STATUS_MODE = 0x04;
    public static final int MCI_STATUS = 0x0814;
    public static final int MCI_STATUS_ITEM = 0x0100;
    public static final int MCI_TRACK = 0x010;
    public static final int MCI_STRING_OFFSET = 512;
    public static final int MCI_CD_OFFSET = 1088;
    public static final int MCI_MODE_PLAY = MCI_STRING_OFFSET + 14;
    public static final int MCI_MODE_OPEN = MCI_STRING_OFFSET + 18;
    public static final int MCI_CDA_STATUS_TYPE_TRACK = 0x04001;
    public static final int MCI_STATUS_NUMBER_OF_TRACKS = 0x03;
    public static final int MCI_CDA_TRACK_OTHER = MCI_CD_OFFSET + 1;
    public static final int MCI_STATUS_CURRENT_TRACK = 0x08;
    public static final int MCI_STATUS_LENGTH = 0x01;
    public static final int MCI_STATUS_POSITION = 0x02;

    public static final int MB_OK = 0;
    public static final int MB_ICONERROR = 0x00000010;

    public static final int WM_USER = 0x0400;
    public static final int WM_PAINT = 0x0F;
    public static final int WM_LBUTTONDOWN = 0x0201;
    public static final int WM_LBUTTONUP = 0x0202;
    public static final int WM_RBUTTONUP = 0x0205;
    public static final int WM_LBUTTONDBLCLK = 0x0203;
    public static final int WM_COMMAND = 0x0111;
    public static final int WM_CLOSE = 0x010;
    public static final int WM_QUIT = 0x0012;

    public static final int WM_CREATE = 0x01;
    public static final int PM_NOTIFYICON = WM_USER + 600;
    public static final int WM_NCPAINT = 0x085;
    public static final int WM_NCHITTEST = 0x084;
    public static final int WM_NCLBUTTONDOWN = 0x0A1;
    public static final int WM_DESTROY = 0x02;

    public static final int ILD_TRANSPARENT = 0x01;

    public static final int ILC_MASK = 0x01;
    public static final int ILC_COLOR16 = 0x010;
    public static final int ILC_COLOR24 = 0x018;

    public static final int RDW_INVALIDATE = 0x01;

    public static final int RGN_OR = 2;

    public static final int IMAGE_ICON = 1;
    public static final int IMAGE_BITMAP = 0;

    public static final int LR_LOADFROMFILE = 0x010;

    public static final int WS_CHILD = 0x40000000;
    public static final int WS_EX_TOOLWINDOW = 0x080;
    public static final int WS_POPUP = 0x80000000;
    public static final int CW_USEDEFAULT = 0x80000000;

    public static final int GWL_WNDPROC = -4;
    public static final int GWL_ID = -12;

    public static final int SW_SHOWNA = 8;
    public static final int SW_SHOWNORMAL = 1;
    public static final int SW_RESTORE = 9;
    public static final int SW_MINIMIZE = 6;
    public static final int SW_HIDE = 0;

    public static final int NIM_ADD = 0x0;
    public static final int NIM_DELETE = 0x02;
    public static final int NIF_ICON = 0x00000002;
    public static final int NIF_MESSAGE = 0x00000001;
    public static final int NIF_TIP = 0x00000004;
    public static final int SPI_GETWORKAREA = 0x030;

    public static final int WPF_SETMINPOSITION = 0x01;

    public static final int SRCCOPY = 0x00CC0020;

    public static final int TRANSPARENT = 1;
    public static final int OPAQUE = 2;
    public static final int ANSI_CHARSET = 0;
    public static final int OUT_TT_ONLY_PRECIS = 7;
    public static final int CLIP_DEFAULT_PRECIS = 0;
    public static final int PROOF_QUALITY = 2;
    public static final int DEFAULT_PITCH = 0;
    public static final int WHITE_BRUSH = 0;
    public static final int WINDING = 2;


    public static final int FW_NORMAL = 400;
    public static final int FW_MEDIUM = 500;
    public static final int FW_SEMIBOLD = 600;

    public static final int FF_SCRIPT = 4 << 4;
    public static final int FF_MODERN = 3 << 4;
    public static final int FF_DONTCARE = 0 << 4;

    public static final int IDC_ARROW = 32512;
    public static final int IDI_APPLICATION = 32512;

    private CDPConstants() {
    }
}
